{
  description = "basic";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.11";
  };

  outputs = { self, nixpkgs, ... }: 
    let
      system = "x86_64-linux";
      pkgs = import nixpkgs {
        inherit system;
        config = { allowUnfree = true; };
      };
      
      myJdk = pkgs.openjdk11; # Simplified reference, usually aliases correctly
    in
      {
        devShell.x86_64-linux = pkgs.mkShell {
          packages = [
          	pkgs.vscode-fhs
          	pkgs.antigravity-fhs
            pkgs.bashInteractive 
          ];

        };
      };
}
